MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023318Community[OCCT] OCCT:Visualizationpublic2012-07-18 13:192012-11-16 13:17
ReporterPawel 
Assigned ToPawel 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.5.3 
Target Version[OCCT] 6.5.4Fixed in Version[OCCT] 6.5.4 
Summary0023318: If statement equal to else statement in AIS_ConcentricRelation.cxx, lines 108-115
Descriptionif (myFShape.ShapeType() == TopAbs_EDGE) {
    E = TopoDS::Edge(myFShape);
    V = TopoDS::Vertex(mySShape);
  }
  else {
    E = TopoDS::Edge(myFShape);
    V = TopoDS::Vertex(mySShape);
  }

should be changed to:

if (myFShape.ShapeType() == TopAbs_EDGE) {
    E = TopoDS::Edge(myFShape);
    V = TopoDS::Vertex(mySShape);
  }
  else {
    E = TopoDS::Edge(mySShape);
    V = TopoDS::Vertex(myFShape);
  }
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0021045)
Pawel (developer)
2012-07-18 14:55

Corresponding git branch pushed. Please review.
(0021083)
abv (manager)
2012-07-19 20:16

No remarks, please test
(0021126)
apn (administrator)
2012-07-23 16:54

Dear BugMaster,
The workbenches
KAS:dev:mkv-23318-occt (GIT branch CR23318)
KAS:dev:mkv-23318-products (GIT master)
were compiled on Linux platform and tested.

Regression:
Not detected

Improvements:
Not detected

Testing case:
Not needed

See results in /QADisk/occttests/results/KAS/dev/mkv-23318-products_20072012/lin
See reference results in /QADisk/occttests/results/KAS/dev/products-20120706-opt_06072012/lin
See test cases in /QADisk/occttests/tests/ED

- Related Changesets
occt: master 53aa7b32
Timestamp: 2012-07-18 10:40:06
Author: Pawel
Details ] Diff ]
0023318: If statement equal to else statement in AIS_ConcentricRelation.cxx, lines 108-115

Corrected the else-clause.
mod - src/AIS/AIS_ConcentricRelation.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-07-18 13:19 Pawel New Issue
2012-07-18 13:19 Pawel Assigned To => Pawel
2012-07-18 14:55 Pawel Note Added: 0021045
2012-07-18 14:55 Pawel Assigned To Pawel => bugmaster
2012-07-18 14:55 Pawel Status new => resolved
2012-07-19 20:16 abv Note Added: 0021083
2012-07-19 20:16 abv Status resolved => reviewed
2012-07-20 11:59 mkv Assigned To bugmaster => mkv
2012-07-23 16:54 apn Note Added: 0021126
2012-07-23 16:55 apn Test case number => Not needed
2012-07-23 16:55 apn Assigned To mkv => bugmaster
2012-07-23 16:55 apn Status reviewed => tested
2012-07-30 16:31 Pawel Changeset attached => occt master 53aa7b32
2012-07-30 16:34 Pawel Assigned To bugmaster => Pawel
2012-07-30 16:34 Pawel Status tested => verified
2012-07-30 16:34 Pawel Resolution open => fixed
2012-11-16 13:14 bugmaster Fixed in Version => 6.5.4
2012-11-16 13:17 bugmaster Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker